Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationCameraManager Class Reference

変換カメラマネージャ More...

`#include <TranslationCameraManager.h>`

List of all members.

## Public Member Functions
| TranslationCameraManager ()
| コンストラクタ
virtual | ~TranslationCameraManager ()
| デストラクタ
virtual bool | collectCameras ()
| カメラの収集
virtual bool | collectAnimations ()
| アニメーションの収集
virtual bool | convertToLamp (Scene *scene) const
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual int | clear ()
| クリア
virtual int | getCount () const
| カメラ数の取得
virtual TranslationCamera * | get (int index) const
| カメラの取得
virtual TranslationCamera * | search (String name) const
| カメラの検索
## Protected Member Functions
virtual bool | analysisCamera (MDagPath dagPath)
| カメラの解析

## Detailed Description

変換カメラマネージャ

Definition at line 40 of file TranslationCameraManager.h.

## Member Function Documentation

bool LampForMaya::TranslationCameraManager::analysisCamera | ( | MDagPath | dagPath | ) | `[protected, virtual]`

  | カメラの解析 Parameters:
  dagPath | DAGパス
Returns: 成功すればtrue Definition at line 73 of file TranslationCameraManager.cpp. References LampForMaya::TranslationCamera::analyze(), MayaErrorOut, and MayaStatusCheck. Referenced by collectCameras().

int LampForMaya::TranslationCameraManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 126 of file TranslationCameraManager.cpp. References getCount(). Referenced by LampForMaya::TranslationScene::clear(), and ~TranslationCameraManager().

bool LampForMaya::TranslationCameraManager::collectAnimations | ( |  | ) | `[virtual]`

| アニメーションの収集 Returns: 成功すればtrue Definition at line 98 of file TranslationCameraManager.cpp. References LampForMaya::TranslationCamera::analyzeAnimation(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::collectAnimation().

bool LampForMaya::TranslationCameraManager::collectCameras | ( |  | ) | `[virtual]`

| カメラの収集 Returns: 成功すればtrue Definition at line 44 of file TranslationCameraManager.cpp. References analysisCamera(), and MayaStatusCheck. Referenced by LampForMaya::TranslationScene::collection().

bool LampForMaya::TranslationCameraManager::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Definition at line 115 of file TranslationCameraManager.cpp. References LampForMaya::TranslationCamera::convertAnimation(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertAnimation().

bool LampForMaya::TranslationCameraManager::convertToLamp | ( | Scene * | scene | ) | const`[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 106 of file TranslationCameraManager.cpp. References LampForMaya::TranslationCamera::convertToLamp(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertToLamp().

virtual TranslationCamera* LampForMaya::TranslationCameraManager::get | ( | int | index | ) | const`[inline, virtual]`

  | カメラの取得 Parameters:
  index | カメラのインデクス
Returns: カメラ Definition at line 97 of file TranslationCameraManager.h. Referenced by collectAnimations(), convertAnimation(), and convertToLamp().

virtual int LampForMaya::TranslationCameraManager::getCount | ( |  | ) | const`[inline, virtual]`

| カメラ数の取得 Returns: カメラ数 Definition at line 90 of file TranslationCameraManager.h. Referenced by clear(), collectAnimations(), convertAnimation(), convertToLamp(), and ~TranslationCameraManager().

virtual TranslationCamera* LampForMaya::TranslationCameraManager::search | ( | String | name | ) | const`[inline, virtual]`

  | カメラの検索 Parameters:
  name | 検索するカメラ名
Returns: カメラ Definition at line 106 of file TranslationCameraManager.h.

The documentation for this class was generated from the following files:

- TranslationCameraManager.h
- TranslationCameraManager.cpp